[dpdk-users] Bring DPDK on ConnectX-3

Rami Rosen roszenrami at gmail.com
Wed Oct 31 19:05:57 CET 2018


Hi Quan
Not all mlx4 devices are supported by DPDK.
What does "lspc -n"
how on your host ?
This can help in order to see if your device is supported by DPDK .
Regards,
Rami Rosen


בתאריך יום ד׳, 31 באוק׳ 2018, 19:19, מאת <zzqq2199 at mail.ustc.edu.cn>:

> Hi,
>
> Recently I have worked on running dpdk on our infiniband card but failed.
> Our adapters card is ConnectX-3, which is in the dpdk’s support hardwares
> list, but specific type, MSX6710-FS2F2 is not found in detailed support
> nics list of mlx4.
>
> Environment
>
> Adapter card: Mellanox MSX6710-FS2F2 ConnectX-3
>
> CentOS version: CentOS Linux release 7.5.1804 (Core)
>
> Linux version: Linux version 3.10.0-862.11.6.el7.x86_64 (
> builder at kbuilder.dev.centos.org) (gcc version 4.8.5 20150623 (Red Hat
> 4.8.5-28) (GCC) )
>
> Ibstat:
>
>          CA 'mlx4_0'
>
>         CA type: MT4099
>
>         Number of ports: 1
>
>         Firmware version: 2.42.5000
>
>         Hardware version: 1
>
>         Node GUID: 0xec0d9a0300b35fd0
>
>         System image GUID: 0xec0d9a0300b35fd3
>
>         Port 1:
>
>                 State: Active
>
>                 Physical state: LinkUp
>
>                 Rate: 56
>
>                 Base lid: 17
>
>                 LMC: 0
>
>                 SM lid: 19
>
>                 Capability mask: 0x0251486a
>
>                 Port GUID: 0xec0d9a0300b35fd1
>
>                 Link layer: InfiniBand
>
>
>
> Quesion Description
>
>
>
> I tried several versions of dpdk on our infiniband, and got different
> errors.
>
> Dpdk-2.0.0:
>
> 1. Run tools/dpdk_nic_band.py, there is no ConnectX-3 in output.
>
> 2. Running hellowolrd is ok.
>
> 3. Running l2fwd is failed.
>
> ./build/l2fwd -l 0-3 -n 4 -- -q 8 -p ffff
>
> Initializing port 0... PMD:librte_pmd_mlx4: 0x951960: TX queues number
> update: 0 -> 1
>
> PMD: librte_pmd_mlx4: 0x951960: RX queues number update: 0 -> 1
>
> PMD: librte_pmd_mlx4: 0x951960: QP state to IBV_QPS_INIT failed: Invalid
> arguments
>
> EAL: Error - exiting with code: 1
>
> Cause: rte_eth_rx_queue_setup:err=-22, port=0
>
> Dpdk-16.07.2(next version of dpdk-2.0.0)
>
> 1. Run tools/dpdk_nic_band.py, and it prints ConnectX-3
>
> 2. Running helloworld is failed
>
> ./build/helloworld -c f -n 4
>
> EAL: Error - exiting with code: 1
>
> Cause: Requested device 0000:82:00.0 cannot be used
>
>
>
> Now I wonder :
>
> 1. If official dpdks only support the one nic of mlx4 listed in official
> guide(http://doc.dpdk.org/guides/nics/mlx4.html#supported-nics)
>
> 2. For ConnectX-3*, ConnectX-4*, if official dpdks only support ethernet
> adapter but not infiniband adapter version?
>
>
>
>
>
>
>
> Thanks,
>
> Quan


More information about the users mailing list